Subject: Re: bug#58011: Jitsi, Bowser, and IceCat's user agent string

From: Mark H Weaver <[email-masked]>
Date: Thu, 22 Sep 2022 20:51:38 -0400

Hi Michael,

Michael McMahon <[email-masked]> writes:

> I received a report that an IceCat user was not able to use Jitsi with 
> IceCat 102.  They reported that changing the user agent string to 
> Firefox fixed their issue.
[...]
> IceCat 102's user agent string looks like this:
>
> Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101 IceCat/102.0

That's not what I'm seeing with IceCat 102.3.0-guix0-preview1 as built
by GNU Guix.  Using a freshly created profile, I visited a website
served by my own web server, and then looked at its logs, which revealed
that my Guix-built IceCat 102 sent the following user agent string:

  "Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101 Firefox/102.0"

Can you tell me more about how you built or acquired the IceCat 102 that
produced the user agent string ending with "IceCat/102.0"?

      Thanks,
        Mark

-- 
Disinformation flourishes because many people care deeply about injustice
but very few check the facts.  Ask me about <https://stallmansupport.org>.